package com.sf._01_包装类;

public class Test2 {
    public static void main(String[] args) {
        String totalPriceStr = "80"; // 菜品总价
        String isMemeberStr = "true"; // 是否会员
        Long orderNo = 12312123123132L; // 订单编号
        Integer fullReduce = 50; // 满减金额
        double deliveryFee= 3.5; // 固定配送配
        // 把菜品总价转成double
        double totalPrice = Double.parseDouble(totalPriceStr);
        // 把会员转成Boolean
        boolean isMember = Boolean.parseBoolean(isMemeberStr);
        // 判断是否是会员如果是配送变成0
        if(isMember){
            deliveryFee = 0;
        }
        // 满减金额和菜品总价比较
        // 1 前面大   -1 前面小   0 相等
        // int      String  -> Double.valueOf(s)
        Double d = Double.valueOf(totalPrice);
        int flag = Integer.compare(d.intValue(), fullReduce);
        Integer fullReducePrice = 0;
        if(flag >=0){
            // 如果达到了满减门槛可以减少10元,如果没达到就是0元
            fullReducePrice = 10;
        }
        // 把订单编号转成字符串类型
        String orderNoStr = orderNo.toString();
        // 计算最终支付金额
        // 菜品总价 - 满减金额 + 配送狒
        double finalPrice = totalPrice - fullReducePrice + deliveryFee;
        System.out.println("最终支付金额:"+ finalPrice);
        System.out.println("订单编号为:"+orderNoStr +"配送费:"+deliveryFee +
                "满减金额:"+ fullReducePrice +"商品总价:"+ totalPrice);
    }
}
